Page MenuHomePhabricator

Mark UploadWizard uploads with a change tag
Closed, ResolvedPublic

Description

We should mark UploadWizard uploads with a change tag to allow easy filtering.

Details

Related Objects

Event Timeline

matmarex created this task.Dec 18 2015, 4:41 PM
matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added a project: UploadWizard.
matmarex added a subscriber: matmarex.
Restricted Application added a project: Multimedia. · View Herald TranscriptDec 18 2015, 4:41 PM
Restricted Application added subscribers: StudiesWorld, Steinsplitter, Aklapper. · View Herald Transcript
Restricted Application added a subscriber: Matanya. · View Herald TranscriptDec 18 2015, 4:48 PM
MarkTraceur triaged this task as Low priority.Dec 21 2015, 9:19 PM
MarkTraceur added a subscriber: MarkTraceur.

Change 292284 had a related patch set uploaded (by Bartosz Dziewoński):
Mark UploadWizard uploads with a change tag (and Flickr uploads separately)

https://gerrit.wikimedia.org/r/292284

matmarex claimed this task.Jun 1 2016, 10:17 PM

Change 292284 abandoned by Bartosz Dziewoński:
Mark UploadWizard uploads with a change tag (and Flickr uploads separately)

Reason:
This approach is not reliable. The patch probably would need to be written from scratch.

https://gerrit.wikimedia.org/r/292284

matmarex closed this task as Declined.Jul 18 2016, 7:09 PM

I actually don't think this would be very useful, since UploadWizard is the most popular uploading tool on Commons (by the number of uploaded files). We also mark our files with a category, and if anyone uses it for checking new files, it's probably not worth breaking their workflow to make the system "nicer".

I'm leaving T121880: Mark UploadWizard Flickr uploads with a separate change tag open, though.

What kind of workflow breakage would you expect by just adding a new tag? Or was that going from the assumption we would then no longer add the category?

Change 337565 had a related patch set uploaded (by Matthias Mullie):
Enable extensions to allow software-specific tags to be added by users

https://gerrit.wikimedia.org/r/337565

Change 337566 had a related patch set uploaded (by Matthias Mullie):
Add 'uploadwizard' & 'uploadwizard-flickr' tags to uploads

https://gerrit.wikimedia.org/r/337566

MarkTraceur reopened this task as Open.May 8 2017, 4:24 PM

Given that we removed the category in https://gerrit.wikimedia.org/r/315121, and we now have an open patch, I'm going to reopen this and move it to "Needs review" - to be shortly followed by a close assuming I like the patch.

Change 337565 merged by jenkins-bot:
[mediawiki/core@master] Enable extensions to allow software-specific tags to be added by users

https://gerrit.wikimedia.org/r/337565

Change 337566 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Add 'uploadwizard' & 'uploadwizard-flickr' tags to uploads

https://gerrit.wikimedia.org/r/337566

MarkTraceur closed this task as Resolved.May 8 2017, 5:37 PM

Thanks!